Bug 586306 - Improve fontconfig config file
Summary: Improve fontconfig config file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: baekmuk-ttf-fonts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 586894
TreeView+ depends on / blocked
 
Reported: 2010-04-27 09:23 UTC by Akira TAGOH
Modified: 2010-06-25 18:16 UTC (History)
4 users (show)

Fixed In Version: baekmuk-ttf-fonts-2.2-29.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586894 (view as bug list)
Environment:
Last Closed: 2010-06-25 18:16:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fontconfig config file for batang. (492 bytes, application/xml)
2010-05-18 09:41 UTC, Akira TAGOH
no flags Details
proposed fontconfig config file for dotum (500 bytes, application/xml)
2010-05-18 09:43 UTC, Akira TAGOH
no flags Details
proposed fontconfig config file for gulim (498 bytes, application/xml)
2010-05-18 09:43 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2010-04-27 09:23:55 UTC
Description of problem:
According to the testing result of Bug#578017, it needs to be improved to get things working efficiently for Korean desktop.

Version-Release number of selected component (if applicable):
baekmuk-ttf-*-fonts-2.2-25.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1.fc-match monospace:lang=ko-kr or sans:lang=ko-kr or serif:lang=ko-kr
2.
3.
  
Actual results:
depends on what kind of fonts are installed.

Expected results:
Baekmuk Gulim for monospace, Baekmuk Dotum for sans-serif and Baekmuk Batang for serif should be displayed.

Additional info:
See https://bugzilla.redhat.com/show_bug.cgi?id=578017#c4

Comment 1 Akira TAGOH 2010-05-18 09:41:58 UTC
Created attachment 414788 [details]
proposed fontconfig config file for batang.

Comment 2 Akira TAGOH 2010-05-18 09:43:02 UTC
Created attachment 414789 [details]
proposed fontconfig config file for dotum

Comment 3 Akira TAGOH 2010-05-18 09:43:39 UTC
Created attachment 414790 [details]
proposed fontconfig config file for gulim

Comment 4 Akira TAGOH 2010-05-18 09:45:52 UTC
BTW how come 65-baekmuk-ttf-hline.conf is empty? it make no difference to nothing.

Comment 5 Akira TAGOH 2010-05-26 08:31:28 UTC
Fixed in baekmuk-ttf-fonts-2.2-28.fc14.

Comment 6 Fedora Update System 2010-05-26 13:44:08 UTC
baekmuk-ttf-fonts-2.2-29.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/baekmuk-ttf-fonts-2.2-29.fc13

Comment 7 Fedora Update System 2010-05-26 21:49:40 UTC
baekmuk-ttf-fonts-2.2-29.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update baekmuk-ttf-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/baekmuk-ttf-fonts-2.2-29.fc13

Comment 8 Fedora Update System 2010-06-25 18:16:13 UTC
baekmuk-ttf-fonts-2.2-29.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.